(ns wanijo.domain.schema
  (:require [clojurewerkz.neocons.rest.cypher :as cypher]
            [wanijo.neo4j :as neo4j]))

(defn all-created-by! [ident]
  (->>
   (cypher/tquery
    neo4j/conn
    "MATCH (s:schema)-[created_by]->(u:user)
    WHERE u.ident = {ident}
    RETURN s
    ORDER BY s.created_at"
    {:ident ident})
   (map #(:data (get % "s")))))
